Index: trunk/MagicSoft/Mars/Changelog
===================================================================
--- trunk/MagicSoft/Mars/Changelog	(revision 7406)
+++ trunk/MagicSoft/Mars/Changelog	(revision 7407)
@@ -18,4 +18,15 @@
 
                                                  -*-*- END OF LINE -*-*-
+ 2005/11/16 Daniela Dorner
+
+   * datacenter/scripts/doqualityplots:
+     - added (putting output of plotdb.C) in the web 
+
+   * datacenter/macros/plotdb.C:
+     - return 0 in case of failure and 1 in case macro finished without
+       problem
+
+
+
  2005/11/16 Thomas Bretz
 
Index: trunk/MagicSoft/Mars/datacenter/macros/plotdb.C
===================================================================
--- trunk/MagicSoft/Mars/datacenter/macros/plotdb.C	(revision 7406)
+++ trunk/MagicSoft/Mars/datacenter/macros/plotdb.C	(revision 7407)
@@ -339,5 +339,5 @@
 }
 
-void plotdb(TString from="", TString to="")
+int plotdb(TString from="", TString to="")
 {
     TEnv env("sql.rc");
@@ -347,5 +347,5 @@
     {
         cout << "ERROR - Connection to database failed." << endl;
-        return;
+        return 0;
     }
 
@@ -366,7 +366,9 @@
     d->SaveAsRoot("plotdb.root");
     d->SaveAsPS("plotdb.ps");
+
+    return 1;
 }
 
-void plotdb(Int_t period)
+int plotdb(Int_t period)
 {
     TEnv env("sql.rc");
@@ -376,5 +378,5 @@
     {
         cout << "ERROR - Connection to database failed." << endl;
-        return;
+        return 0;
     }
 
@@ -395,3 +397,5 @@
     d->SaveAsRoot("plotdb.root");
     d->SaveAsPS("plotdb.ps");
+
+    return 1;
 }
Index: trunk/MagicSoft/Mars/datacenter/scripts/doqualityplots
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/doqualityplots	(revision 7407)
+++ trunk/MagicSoft/Mars/datacenter/scripts/doqualityplots	(revision 7407)
@@ -0,0 +1,84 @@
+#!/bin/sh
+#
+# ========================================================================
+#
+# *
+# * This file is part of MARS, the MAGIC Analysis and Reconstruction
+# * Software. It is distributed to you in the hope that it can be a useful
+# * and timesaving tool in analysing Data of imaging Cerenkov telescopes.
+# * It is distributed WITHOUT ANY WARRANTY.
+# *
+# * Permission to use, copy, modify and distribute this software and its
+# * documentation for any purpose is hereby granted without fee,
+# * provided that the above copyright notice appear in all copies and
+# * that both that copyright notice and this permission notice appear
+# * in supporting documentation. It is provided "as is" without express
+# * or implied warranty.
+# *
+#
+#
+#   Author(s): Daniela Dorner  08/2005 <mailto:dorner@astro.uni-wuerzburg.de>
+#
+#   Copyright: MAGIC Software Development, 2000-2004
+#
+#
+# ========================================================================
+#
+#
+
+user=`whoami`
+source /home/$user/Mars/datacenter/scripts/sourcefile
+
+set -C
+
+cd $mars
+
+datetime=`date +%F-%H-%M-%S`
+
+scriptlogpath=$logpath/run/doqualityplots/`date +%Y/%m/%d`
+makedir $scriptlogpath
+
+scriptlog=$scriptlogpath/doqualityplots-$datetime.log
+
+date >> $scriptlog 2>&1
+
+lockfile=$lockpath/lock-doqualityplots.txt
+date > $lockfile >> $scriptlog 2>&1 
+checklock0=$?
+case $checklock0 in 
+    0)   echo "checklock0=$checklock0 -> continue " >> $scriptlog 2>&1;;
+    1)   echo "checklock0=$checklock0 -> file exists " >> $scriptlog 2>&1
+         echo "-> for datacheck is running -> exit" >> $scriptlog 2>&1
+         date  >> $scriptlog 2>&1
+         exit;;
+    *)   echo "checklock0=$checklock0 -> something went completely wrong" >> $scriptlog 2>&1;;
+esac
+
+
+echo "producing plots: " >> $scriptlog 2>&1
+check0=`root -q -b $macrospath/plotdb.C+\(\) | tee -a $scriptlog | grep int | sed -e 's/.*(int)//'`
+
+case $check0 in 
+    1)   echo "check0=$check0 -> everything ok -> move files" >> $scriptlog 2>&1;;
+    *)   echo "check0=$check0 -> ERROR -> couldn't create plots -> exit" >> $scriptlog 2>&1
+         rm -v $lockfile >> $scriptlog 2>&1 
+         exit;;
+esac
+
+
+webpath=/www/htdocs/datacenter/datacheck
+name=plotdb
+psfile=$webpath/$name.ps
+
+echo "moving files: " >> $scriptlog 2>&1
+mv -v $name.{root,ps} $webpath  >> $scriptlog 2>&1
+
+echo "moving files: " >> $scriptlog 2>&1
+pstoimg -antialias -flip r270 -density 100 -type png -multipage $psfile >> $scriptlog 2>&1
+
+rm -v $lockfile >> $scriptlog 2>&1 
+
+set +C
+
+date  >> $scriptlog 2>&1
+
